# Interface LineSymbol3DJson

LineSymbol3D is used to render features with Polyline geometry in a 3D SceneView.

See https://developers.arcgis.com/web-scene-specification/objects/lineSymbol3D/.

interface LineSymbol3DJson {
symbolLayers: (LineSymbol3DLayerJson | PathSymbol3DLayerJson)[];
type: "LineSymbol3D";
}

#### Hierarchy (view full)

- Symbol3DJsonBase
  - LineSymbol3DJson

#####
Index

### Properties

symbolLayers
type

##
Properties

### symbolLayers

symbolLayers: (LineSymbol3DLayerJson | PathSymbol3DLayerJson)[]

A Collection of Symbol3DLayer objects used to visualize the graphic or feature.

Overrides Symbol3DJsonBase.symbolLayers

### type

type

The type of symbol. See SymbolJsonType.

Overrides Symbol3DJsonBase.type